umbrello: RubyCodeGenerationPolicyPage Class Reference

umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Attributes | List of all members
RubyCodeGenerationPolicyPage Class Reference

`#include <rubycodegenerationpolicypage.h>`

Inheritance diagram for RubyCodeGenerationPolicyPage:

## Public Slots
void | apply ()
Public Slots inherited from CodeGenerationPolicyPage
virtual void | apply ()

## Public Member Functions
| RubyCodeGenerationPolicyPage (QWidget *parent=0, const char *name=0, RubyCodeGenerationPolicy *policy=0)
virtual | ~RubyCodeGenerationPolicyPage ()
Public Member Functions inherited from CodeGenerationPolicyPage
| CodeGenerationPolicyPage (QWidget *parent=0, const char *name=0, CodeGenPolicyExt *policy=0)
virtual | ~CodeGenerationPolicyPage ()
void | setDefaults ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Attributes
Ui::RubyCodeGenerationFormBase | form
Protected Attributes inherited from CodeGenerationPolicyPage
CodeGenPolicyExt * | m_parentPolicy
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)

## Constructor & Destructor Documentation

## ◆ RubyCodeGenerationPolicyPage()

RubyCodeGenerationPolicyPage::RubyCodeGenerationPolicyPage | ( | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | RubyCodeGenerationPolicy * | policy = 0 )
| explicit

## ◆ ~RubyCodeGenerationPolicyPage()

RubyCodeGenerationPolicyPage::~RubyCodeGenerationPolicyPage | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ apply

void RubyCodeGenerationPolicyPage::apply | ( |  | ) |
| slot

## Member Data Documentation

## ◆ form

Ui::RubyCodeGenerationFormBase RubyCodeGenerationPolicyPage::form
| protected

The documentation for this class was generated from the following files:

- umbrello/codegenerators/ruby/rubycodegenerationpolicypage.h
- umbrello/codegenerators/ruby/rubycodegenerationpolicypage.cpp